# REST Resource: projects.calls.transcriptions

## Resource: Transcription

The Transcription resource.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;name&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;recording&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;state&quot;</span><span class="p">: </span><span class="kd">enum (</span><a href="#transcriptionstate"><strong><span class="kd">State</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;duration&quot;</span><span class="p">: </span><span class="kd">string (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">Duration</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;channelCount&quot;</span><span class="p">: </span><span class="kd">number (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">int32</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;createTime&quot;</span><span class="p">: </span><span class="kd">string (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">Timestamp</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;updateTime&quot;</span><span class="p">: </span><span class="kd">string (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">Timestamp</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;readyUri&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;utterances&quot;</span><span class="p">: </span><span class="p">[</span>
    <span class="p">{</span>
      <span class="kd">object (</span><a href="/docs/cloud-voice/api-reference/rest/v1beta1/Utterance/"><strong><span class="kd">Utterance</span></strong></a><span class="kd">)</span>
    <span class="p">}</span>
  <span class="p">]</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">name</span> | <span class="e-code">string</span><br/>Resource name of the transcription. It must match the pattern `projects/*/calls/*/transcriptions/*`. The call will always refer to the parent leg of a two-leg call.
<span class="e-code">recording</span> | <span class="e-code">string</span><br/>The recording that this transcription was created from, of the form `projects/*/calls/*/recordings/*`.
<span class="e-code">state</span> | <span class="e-code">enum ([State](#transcriptionstate))</span><br/>Output only. The state of the transcription.
<span class="e-code">duration</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">Duration</a> format)</span><br/>Output only. The duration of the audio (of one channel). The total duration that is billable is `duration * channel_count`.
<span class="e-code">channelCount</span> | <span class="e-code">number (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">int32</a> format)</span><br/>Output only. The number of channels included in the transcription.
<span class="e-code">createTime</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">Timestamp</a> format)</span><br/>Output only. The creation time of the transcription. This is the time that the transcription resource was created.
<span class="e-code">updateTime</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">Timestamp</a> format)</span><br/>Output only. The last time this resource was modified. If state is COMPLETED or FAILED, this will be the time that the resource transitioned into that state.
<span class="e-code">readyUri</span> | <span class="e-code">string</span><br/>The URI to send the transcription ready webhook to when the state transitions to a terminal state (SUCCEEDED, FAILED). Must be an absolute URI.
<span class="e-code">utterances[]</span> | <span class="e-code">object ([Utterance](/docs/cloud-voice/api-reference/rest/v1beta1/Utterance/))</span><br/>Output only. The spoken utterances, ordered by when they were spoken in the recording.

## Transcription.State

The state of the transcription.

Enums | &nbsp;
--|--
<span class="e-code">STATE_UNSPECIFIED</span> | Unspecified state.
<span class="e-code">PENDING</span> | The audio has not yet been transcribed.
<span class="e-code">COMPLETED</span> | The audio has been transcribed.
<span class="e-code">FAILED</span> | The transcription failed.

## Methods

Methods | &nbsp;
--|--
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a Transcription identified by the supplied resource name.<br/><br/>The caller must have `voice.transcriptions.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/transcriptions</span><br/>Lists the Transcriptions of the specified project. List returns Transcriptions sorted by create_time descending.<br/><br/>The caller must have `voice.transcriptions.list` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes a transcription.<br/><br/>The caller must have `voice.transcriptions.delete` permission on the project.

